
' Unicorn Adventure [Prototype]
' Pirate Kart 2012
' Kristopher Windsor

#include once "fbgfx.bi"

const sx = 240, sy = 160

dim as integer x = 100, y = 50, offset, fc
dim as fb.image ptr u1, u2, background

screenres sx, sy, 32

background = imagecreate(427, 160)
u1 = imagecreate(112, 79)
u2 = imagecreate(112, 79)

bload("background.bmp", background)
bload("unicorn1.bmp", u1)
bload("unicorn2.bmp", u2)

do
  fc += 1
  if multikey(fb.sc_up) and y > 40 then y -= 5
  if multikey(fb.sc_down) and y < 100 then y += 5
  if multikey(fb.sc_left) and x > 0 then x -= 5
  if multikey(fb.sc_right) and x < 130 then x += 5
  offset -= 3
  if offset < 0 then offset += 427
  
  screenlock()
  put (offset, 0), background, pset
  put (offset - 427, 0), background, pset
  if fc mod 10 < 5 then
    put (x, y), u1, trans
  else
    put (x, y), u2, trans
  end if
  screenunlock()
  
  sleep(18, 1)
loop until inkey() = chr(27)
